<html>
<head>
<title>Ogre::BillboardSet::SortByDirectionFunctor Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html">SortByDirectionFunctor</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::BillboardSet::SortByDirectionFunctor Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::BillboardSet::SortByDirectionFunctor" -->
<p>Sort by direction functor.  
 <a href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreBillboardSet_8h_source.html">OgreBillboardSet.h</a>&gt;</code></p>

<p><a href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html#a76c5ed9cd23a4e4fdaa779e95b98f479">SortByDirectionFunctor</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;dir)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html#ad054499a0ed9f9c4489d1c39b4d2cc1d">operator()</a> (<a class="el" href="classOgre_1_1Billboard.html">Billboard</a> *bill) const </td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html#a176f7142382739d74eef63c9f26beee2">sortDir</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Direction to sort in.  <a href="#a176f7142382739d74eef63c9f26beee2"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Sort by direction functor. </p>

<p>Definition at line <a class="el" href="OgreBillboardSet_8h_source.html#l00266">266</a> of file <a class="el" href="OgreBillboardSet_8h_source.html">OgreBillboardSet.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a76c5ed9cd23a4e4fdaa779e95b98f479"></a><!-- doxytag: member="Ogre::BillboardSet::SortByDirectionFunctor::SortByDirectionFunctor" ref="a76c5ed9cd23a4e4fdaa779e95b98f479" args="(const Vector3 &amp;dir)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html#a76c5ed9cd23a4e4fdaa779e95b98f479">Ogre::BillboardSet::SortByDirectionFunctor::SortByDirectionFunctor</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>dir</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad054499a0ed9f9c4489d1c39b4d2cc1d"></a><!-- doxytag: member="Ogre::BillboardSet::SortByDirectionFunctor::operator()" ref="ad054499a0ed9f9c4489d1c39b4d2cc1d" args="(Billboard *bill) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float Ogre::BillboardSet::SortByDirectionFunctor::operator() </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Billboard.html">Billboard</a> *&#160;</td>
          <td class="paramname"><em>bill</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a176f7142382739d74eef63c9f26beee2"></a><!-- doxytag: member="Ogre::BillboardSet::SortByDirectionFunctor::sortDir" ref="a176f7142382739d74eef63c9f26beee2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html#a176f7142382739d74eef63c9f26beee2">Ogre::BillboardSet::SortByDirectionFunctor::sortDir</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Direction to sort in. </p>

<p>Definition at line <a class="el" href="OgreBillboardSet_8h_source.html#l00269">269</a> of file <a class="el" href="OgreBillboardSet_8h_source.html">OgreBillboardSet.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreBillboardSet_8h_source.html">OgreBillboardSet.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
